_Timer6_Configure:
;DAC.c,32 :: 		void Timer6_Configure(void) {
;DAC.c,34 :: 		CEN_TIM6_CR1_bit = 0;                                   // Disable timer before configuring it
MOVW	R2, #0
SXTH	R2, R2
MOVW	R0, #lo_addr(CEN_TIM6_CR1_bit+0)
MOVT	R0, #hi_addr(CEN_TIM6_CR1_bit+0)
STR	R2, [R0, #0]
;DAC.c,40 :: 		ARPE_TIM6_CR1_bit = 1;                                  // Bit 7 ARPE: Auto-reload preload enable = 1
MOVW	R1, #1
SXTH	R1, R1
MOVW	R0, #lo_addr(ARPE_TIM6_CR1_bit+0)
MOVT	R0, #hi_addr(ARPE_TIM6_CR1_bit+0)
STR	R1, [R0, #0]
;DAC.c,41 :: 		OPM_TIM6_CR1_bit = 0;                                   // One-pulse mode -0: Counter is not stopped at update event
MOVW	R0, #lo_addr(OPM_TIM6_CR1_bit+0)
MOVT	R0, #hi_addr(OPM_TIM6_CR1_bit+0)
STR	R2, [R0, #0]
;DAC.c,42 :: 		URS_TIM6_CR1_bit = 0;
MOVW	R0, #lo_addr(URS_TIM6_CR1_bit+0)
MOVT	R0, #hi_addr(URS_TIM6_CR1_bit+0)
STR	R2, [R0, #0]
;DAC.c,43 :: 		UDIS_TIM6_CR1_bit = 0;                                  // Bit 1 UDIS: Update disable
MOVW	R0, #lo_addr(UDIS_TIM6_CR1_bit+0)
MOVT	R0, #hi_addr(UDIS_TIM6_CR1_bit+0)
STR	R2, [R0, #0]
;DAC.c,48 :: 		MMS2_TIM6_CR2_bit = 0;                                  // Bits 6:4MMS: Master mode selection
MOVW	R0, #lo_addr(MMS2_TIM6_CR2_bit+0)
MOVT	R0, #hi_addr(MMS2_TIM6_CR2_bit+0)
STR	R2, [R0, #0]
;DAC.c,49 :: 		MMS1_TIM6_CR2_bit = 1;                                  // Update - The update event is selected as a trigger output (TRGO).
MOVW	R0, #lo_addr(MMS1_TIM6_CR2_bit+0)
MOVT	R0, #hi_addr(MMS1_TIM6_CR2_bit+0)
STR	R1, [R0, #0]
;DAC.c,50 :: 		MMS0_TIM6_CR2_bit = 0;                                  // For instance a master timer can then be used as a prescaler for a slave timer
MOVW	R0, #lo_addr(MMS0_TIM6_CR2_bit+0)
MOVT	R0, #hi_addr(MMS0_TIM6_CR2_bit+0)
STR	R2, [R0, #0]
;DAC.c,57 :: 		TIM6_DIER.UDE = 0;                                      // Bit 8 UDE: Update DMA request enable
MOVW	R0, #lo_addr(TIM6_DIER+0)
MOVT	R0, #hi_addr(TIM6_DIER+0)
STR	R2, [R0, #0]
;DAC.c,58 :: 		TIM6_DIER.UIE = 0;                                      // Bit 0 UIE: Update interrupt enable
MOVW	R0, #lo_addr(TIM6_DIER+0)
MOVT	R0, #hi_addr(TIM6_DIER+0)
STR	R2, [R0, #0]
;DAC.c,63 :: 		TIM6_ARR = 1157;                                        // 1157 = 1200 Hz @64 steps
MOVW	R1, #1157
MOVW	R0, #lo_addr(TIM6_ARR+0)
MOVT	R0, #hi_addr(TIM6_ARR+0)
STR	R1, [R0, #0]
;DAC.c,64 :: 		TIM6_PSC = 0;                                           // Set timer prescaler
MOVW	R1, #0
MOVW	R0, #lo_addr(TIM6_PSC+0)
MOVT	R0, #hi_addr(TIM6_PSC+0)
STR	R1, [R0, #0]
;DAC.c,65 :: 		}
L_end_Timer6_Configure:
BX	LR
; end of _Timer6_Configure
_DAC_Ch1_Config:
;DAC.c,71 :: 		void DAC_Ch1_Config(void) {
;DAC.c,72 :: 		EN2_bit = 0;
MOVW	R2, #0
SXTH	R2, R2
MOVW	R0, #lo_addr(EN2_bit+0)
MOVT	R0, #hi_addr(EN2_bit+0)
STR	R2, [R0, #0]
;DAC.c,73 :: 		EN1_bit = 0;
MOVW	R0, #lo_addr(EN1_bit+0)
MOVT	R0, #hi_addr(EN1_bit+0)
STR	R2, [R0, #0]
;DAC.c,75 :: 		DMAUDRIE2_bit = 0;                                      // Bits 29 DMAUDRIE2  DAC channel2 DMA underrun interrupt enable
MOVW	R0, #lo_addr(DMAUDRIE2_bit+0)
MOVT	R0, #hi_addr(DMAUDRIE2_bit+0)
STR	R2, [R0, #0]
;DAC.c,76 :: 		DMAEN2_bit = 1;                                         // Bit 28 DMAEN2  DAC channel2 DMA enable
MOVW	R1, #1
SXTH	R1, R1
MOVW	R0, #lo_addr(DMAEN2_bit+0)
MOVT	R0, #hi_addr(DMAEN2_bit+0)
STR	R1, [R0, #0]
;DAC.c,77 :: 		MAMP23_bit = 0;                                         // Bit 27 MAMP2 3 DAC channel2 mask/amplitude selector
MOVW	R0, #lo_addr(MAMP23_bit+0)
MOVT	R0, #hi_addr(MAMP23_bit+0)
STR	R2, [R0, #0]
;DAC.c,78 :: 		MAMP22_bit = 0;                                         // Bit 26 MAMP2 2 DAC channel2 mask/amplitude selector
MOVW	R0, #lo_addr(MAMP22_bit+0)
MOVT	R0, #hi_addr(MAMP22_bit+0)
STR	R2, [R0, #0]
;DAC.c,79 :: 		MAMP21_bit = 0;                                         // Bit 25 MAMP2 1 DAC channel2 mask/amplitude selector
MOVW	R0, #lo_addr(MAMP21_bit+0)
MOVT	R0, #hi_addr(MAMP21_bit+0)
STR	R2, [R0, #0]
;DAC.c,80 :: 		MAMP20_bit = 0;                                         // Bit 24 MAMP2 0 DAC channel2 mask/amplitude selector
MOVW	R0, #lo_addr(MAMP20_bit+0)
MOVT	R0, #hi_addr(MAMP20_bit+0)
STR	R2, [R0, #0]
;DAC.c,81 :: 		WAVE21_bit = 0;                                         // Bit 23 WAVE2 1 DAC channel2 noise/triangle wave generation enable
MOVW	R0, #lo_addr(WAVE21_bit+0)
MOVT	R0, #hi_addr(WAVE21_bit+0)
STR	R2, [R0, #0]
;DAC.c,82 :: 		WAVE20_bit = 0;                                         // Bit 22 WAVE2 0 DAC channel2 noise/triangle wave generation enable
MOVW	R0, #lo_addr(WAVE20_bit+0)
MOVT	R0, #hi_addr(WAVE20_bit+0)
STR	R2, [R0, #0]
;DAC.c,83 :: 		TSEL22_bit = 0;                                         // Bit 21 TSEL2 2 DAC channel1 trigger selection
MOVW	R0, #lo_addr(TSEL22_bit+0)
MOVT	R0, #hi_addr(TSEL22_bit+0)
STR	R2, [R0, #0]
;DAC.c,84 :: 		TSEL21_bit = 0;                                         // Bit 20 TSEL2 1 DAC channel1 trigger selection
MOVW	R0, #lo_addr(TSEL21_bit+0)
MOVT	R0, #hi_addr(TSEL21_bit+0)
STR	R2, [R0, #0]
;DAC.c,85 :: 		TSEL20_bit = 0;                                         // Bit 19 TSEL2 0 DAC channel1 trigger selection
MOVW	R0, #lo_addr(TSEL20_bit+0)
MOVT	R0, #hi_addr(TSEL20_bit+0)
STR	R2, [R0, #0]
;DAC.c,86 :: 		TEN2_bit = 1;                                           // Bit 18 TEN2: DAC channel 2 trigger enable
MOVW	R0, #lo_addr(TEN2_bit+0)
MOVT	R0, #hi_addr(TEN2_bit+0)
STR	R1, [R0, #0]
;DAC.c,87 :: 		BOFF2_bit = 0;                                          // Bit 17 BOFF2: DAC channel 2 output buffer disable
MOVW	R0, #lo_addr(BOFF2_bit+0)
MOVT	R0, #hi_addr(BOFF2_bit+0)
STR	R2, [R0, #0]
;DAC.c,89 :: 		DMAUDRIE1_bit = 0;                                      // Bit 13 DMAUDRIE1 DAC channel 1 DMA Underrun Interrupt enable
MOVW	R0, #lo_addr(DMAUDRIE1_bit+0)
MOVT	R0, #hi_addr(DMAUDRIE1_bit+0)
STR	R2, [R0, #0]
;DAC.c,90 :: 		DMAEN1_bit = 1;                                         // Bit 12 DMAEN1  DAC channel 1 DMA enable  - DMA Mode Enabled
MOVW	R0, #lo_addr(DMAEN1_bit+0)
MOVT	R0, #hi_addr(DMAEN1_bit+0)
STR	R1, [R0, #0]
;DAC.c,91 :: 		MAMP13_bit = 0;                                         // Bit 11 MAMP1 3 - DAC channel 1 mask/amplitude selector
MOVW	R0, #lo_addr(MAMP13_bit+0)
MOVT	R0, #hi_addr(MAMP13_bit+0)
STR	R2, [R0, #0]
;DAC.c,92 :: 		MAMP12_bit = 0;                                         // Bit 10 MAMP1 2 - DAC channel 1 mask/amplitude selector
MOVW	R0, #lo_addr(MAMP12_bit+0)
MOVT	R0, #hi_addr(MAMP12_bit+0)
STR	R2, [R0, #0]
;DAC.c,93 :: 		MAMP11_bit = 0;                                         // Bit 9 MAMP1 1 - DAC channel 1 mask/amplitude selector
MOVW	R0, #lo_addr(MAMP11_bit+0)
MOVT	R0, #hi_addr(MAMP11_bit+0)
STR	R2, [R0, #0]
;DAC.c,94 :: 		MAMP10_bit = 0;                                         // Bit 8 MAMP1 0 - DAC channel 1 mask/amplitude selector
MOVW	R0, #lo_addr(MAMP10_bit+0)
MOVT	R0, #hi_addr(MAMP10_bit+0)
STR	R2, [R0, #0]
;DAC.c,95 :: 		WAVE11_bit = 0;                                         // Bit 7 WAVE1 1 DAC channel 1 noise/triangle wave generation enable
MOVW	R0, #lo_addr(WAVE11_bit+0)
MOVT	R0, #hi_addr(WAVE11_bit+0)
STR	R2, [R0, #0]
;DAC.c,96 :: 		WAVE10_bit = 0;                                         // Bit 6 WAVE1 0 DAC channel 1 noise/triangle wave generation enable
MOVW	R0, #lo_addr(WAVE10_bit+0)
MOVT	R0, #hi_addr(WAVE10_bit+0)
STR	R2, [R0, #0]
;DAC.c,97 :: 		TSEL12_bit = 0;                                         // Bit 5 TSEL bit 2 - DAC channel 1 trigger selection -  TIMR6 Output Event
MOVW	R0, #lo_addr(TSEL12_bit+0)
MOVT	R0, #hi_addr(TSEL12_bit+0)
STR	R2, [R0, #0]
;DAC.c,98 :: 		TSEL11_bit = 0;                                         // Bit 4 TSEL bit 1 - Note: Only used if bit TEN1 = 1 (DAC channel1 trigger enabled)
MOVW	R0, #lo_addr(TSEL11_bit+0)
MOVT	R0, #hi_addr(TSEL11_bit+0)
STR	R2, [R0, #0]
;DAC.c,99 :: 		TSEL10_bit = 0;                                         // Bit 3 TSEL bit 0
MOVW	R0, #lo_addr(TSEL10_bit+0)
MOVT	R0, #hi_addr(TSEL10_bit+0)
STR	R2, [R0, #0]
;DAC.c,100 :: 		TEN1_bit = 1;                                           // Bit 2 TEN 1: DAC channel 1 trigger enable
MOVW	R0, #lo_addr(TEN1_bit+0)
MOVT	R0, #hi_addr(TEN1_bit+0)
STR	R1, [R0, #0]
;DAC.c,101 :: 		BOFF1_bit = 0;                                          // Bit 1 BOFF 1: DAC channel 1 output buffer disable - 0 = Enabled
MOVW	R0, #lo_addr(BOFF1_bit+0)
MOVT	R0, #hi_addr(BOFF1_bit+0)
STR	R2, [R0, #0]
;DAC.c,102 :: 		}
L_end_DAC_Ch1_Config:
BX	LR
; end of _DAC_Ch1_Config
_DMA1_Stream5_Ch7_Config:
;DAC.c,107 :: 		void DMA1_Stream5_Ch7_Config(void) {
;DAC.c,110 :: 		EN_DMA1_S5CR_bit = 0;                                   // disable audio stream
MOVW	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(EN_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(EN_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,111 :: 		while (EN_DMA1_S5CR_bit==1) {                           // wait for audio stream to be disabled
L_DMA1_Stream5_Ch7_Config0:
MOVW	R1, #lo_addr(EN_DMA1_S5CR_bit+0)
MOVT	R1, #hi_addr(EN_DMA1_S5CR_bit+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	EQ
BEQ	L_DMA1_Stream5_Ch7_Config1
;DAC.c,112 :: 		}                                                       // before changing DMA settings
IT	AL
BAL	L_DMA1_Stream5_Ch7_Config0
L_DMA1_Stream5_Ch7_Config1:
;DAC.c,114 :: 		CTCIF5_DMA1_HIFCR_bit = 1;                              // Channel 5 transfer complete clear
MOVW	R2, #1
SXTH	R2, R2
MOVW	R0, #lo_addr(CTCIF5_DMA1_HIFCR_bit+0)
MOVT	R0, #hi_addr(CTCIF5_DMA1_HIFCR_bit+0)
STR	R2, [R0, #0]
;DAC.c,115 :: 		CHTIF5_DMA1_HIFCR_bit = 1;                              // Channel 5 half transfer clear
MOVW	R0, #lo_addr(CHTIF5_DMA1_HIFCR_bit+0)
MOVT	R0, #hi_addr(CHTIF5_DMA1_HIFCR_bit+0)
STR	R2, [R0, #0]
;DAC.c,116 :: 		CTEIF5_DMA1_HIFCR_bit = 1;                              // Channel 5 transfer error clear
MOVW	R0, #lo_addr(CTEIF5_DMA1_HIFCR_bit+0)
MOVT	R0, #hi_addr(CTEIF5_DMA1_HIFCR_bit+0)
STR	R2, [R0, #0]
;DAC.c,117 :: 		CDMEIF5_DMA1_HIFCR_bit = 1;
MOVW	R0, #lo_addr(CDMEIF5_DMA1_HIFCR_bit+0)
MOVT	R0, #hi_addr(CDMEIF5_DMA1_HIFCR_bit+0)
STR	R2, [R0, #0]
;DAC.c,118 :: 		CFEIF5_DMA1_HIFCR_bit = 1;
MOVW	R0, #lo_addr(CFEIF5_DMA1_HIFCR_bit+0)
MOVT	R0, #hi_addr(CFEIF5_DMA1_HIFCR_bit+0)
STR	R2, [R0, #0]
;DAC.c,123 :: 		DMA1_S5PAR = &DAC_DHR12R1;                              //DAC_DHR12R2_ADDRESS = 0x40007408  - PA4
MOVW	R1, #lo_addr(DAC_DHR12R1+0)
MOVT	R1, #hi_addr(DAC_DHR12R1+0)
MOVW	R0, #lo_addr(DMA1_S5PAR+0)
MOVT	R0, #hi_addr(DMA1_S5PAR+0)
STR	R1, [R0, #0]
;DAC.c,127 :: 		DMA1_S5M0AR = &Sine12bit;                               // Bit 31: Memory 0 address
MOVW	R1, #lo_addr(_Sine12bit+0)
MOVT	R1, #hi_addr(_Sine12bit+0)
MOVW	R0, #lo_addr(DMA1_S5M0AR+0)
MOVT	R0, #hi_addr(DMA1_S5M0AR+0)
STR	R1, [R0, #0]
;DAC.c,130 :: 		DMA1_S5NDTR = 64;
MOVW	R1, #64
MOVW	R0, #lo_addr(DMA1_S5NDTR+0)
MOVT	R0, #hi_addr(DMA1_S5NDTR+0)
STR	R1, [R0, #0]
;DAC.c,134 :: 		CHSEL2_DMA1_S5CR_bit=1;                                 // Bit 27 Channel selection
MOVW	R0, #lo_addr(CHSEL2_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(CHSEL2_DMA1_S5CR_bit+0)
STR	R2, [R0, #0]
;DAC.c,135 :: 		CHSEL1_DMA1_S5CR_bit=1;                                 // Bit 26 Channel selection
MOVW	R0, #lo_addr(CHSEL1_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(CHSEL1_DMA1_S5CR_bit+0)
STR	R2, [R0, #0]
;DAC.c,136 :: 		CHSEL0_DMA1_S5CR_bit=1;                                 // Bit 27 Channel selection
MOVW	R0, #lo_addr(CHSEL0_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(CHSEL0_DMA1_S5CR_bit+0)
STR	R2, [R0, #0]
;DAC.c,139 :: 		MBURST1_DMA1_S5CR_bit=0;                                // Bit 24 Memory burst transfer configuration
MOVW	R1, #0
SXTH	R1, R1
MOVW	R0, #lo_addr(MBURST1_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(MBURST1_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,140 :: 		MBURST0_DMA1_S5CR_bit=0;                                // Bit 23 Memory burst transfer configuration
MOVW	R0, #lo_addr(MBURST0_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(MBURST0_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,143 :: 		PBURST1_DMA1_S5CR_bit=0;                                // Bit 22 Peripheral burst transfer configuration
MOVW	R0, #lo_addr(PBURST1_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(PBURST1_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,144 :: 		PBURST0_DMA1_S5CR_bit=0;                                // Bit 21 Peripheral burst transfer configuration
MOVW	R0, #lo_addr(PBURST0_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(PBURST0_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,147 :: 		ACK_DMA1_S5CR_bit = 0;                                  // DMA1_S5CR.B20;
MOVW	R0, #lo_addr(ACK_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(ACK_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,150 :: 		CT_DMA1_S5CR_bit = 0;                                   // Bit 19  DMA1_S5CR.B19;
MOVW	R0, #lo_addr(CT_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(CT_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,153 :: 		DBM_DMA1_S5CR_bit = 0;                                  // Bit 18  DMA1_S5CR.B18;
MOVW	R0, #lo_addr(DBM_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(DBM_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,156 :: 		PL1_DMA1_S5CR_bit=1;                                    // Bit 17  Priority level (HIGH)
MOVW	R0, #lo_addr(PL1_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(PL1_DMA1_S5CR_bit+0)
STR	R2, [R0, #0]
;DAC.c,157 :: 		PL0_DMA1_S5CR_bit=0;                                    // Bit 16  Priority level (HIGH)
MOVW	R0, #lo_addr(PL0_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(PL0_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,160 :: 		PINCOS_DMA1_S5CR_bit = 0;                               //
MOVW	R0, #lo_addr(PINCOS_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(PINCOS_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,163 :: 		MSIZE1_DMA1_S5CR_bit=0;                                 // Bits 14 = 0 Memory data size
MOVW	R0, #lo_addr(MSIZE1_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(MSIZE1_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,164 :: 		MSIZE0_DMA1_S5CR_bit=1;                                 // Bits 13 = 1 Memory data size
MOVW	R0, #lo_addr(MSIZE0_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(MSIZE0_DMA1_S5CR_bit+0)
STR	R2, [R0, #0]
;DAC.c,167 :: 		PSIZE1_DMA1_S5CR_bit=1;                                 // Bit 12 Peripheral data size
MOVW	R0, #lo_addr(PSIZE1_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(PSIZE1_DMA1_S5CR_bit+0)
STR	R2, [R0, #0]
;DAC.c,168 :: 		PSIZE0_DMA1_S5CR_bit=0;                                 // Bit 11 Peripheral data size
MOVW	R0, #lo_addr(PSIZE0_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(PSIZE0_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,171 :: 		MINC_DMA1_S5CR_bit = 1;                                 // Bit 10 MINC: Memory increment mode
MOVW	R0, #lo_addr(MINC_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(MINC_DMA1_S5CR_bit+0)
STR	R2, [R0, #0]
;DAC.c,174 :: 		PINC_DMA1_S5CR_bit = 0;                                 // Bit 9 PINC: Peripheral increment mode
MOVW	R0, #lo_addr(PINC_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(PINC_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,177 :: 		CIRC_DMA1_S5CR_bit = 1;                                 // Bit 8 CIRC: Circular mode
MOVW	R0, #lo_addr(CIRC_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(CIRC_DMA1_S5CR_bit+0)
STR	R2, [R0, #0]
;DAC.c,180 :: 		DIR1_DMA1_S5CR_bit=0;                                   // Bits 7 DIR[1:0]: Data transfer direction
MOVW	R0, #lo_addr(DIR1_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(DIR1_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,181 :: 		DIR0_DMA1_S5CR_bit=1;                                   // Bits 6 DIR[1:0]: Data transfer direction
MOVW	R0, #lo_addr(DIR0_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(DIR0_DMA1_S5CR_bit+0)
STR	R2, [R0, #0]
;DAC.c,183 :: 		PFCTRL_DMA1_S5CR_bit = 0;                               // Peripheral Control: Bit 5
MOVW	R0, #lo_addr(PFCTRL_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(PFCTRL_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,184 :: 		TCIE_DMA1_S5CR_bit = 0;                                 // Transfer complete interrupt enable
MOVW	R0, #lo_addr(TCIE_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(TCIE_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,185 :: 		HTIE_DMA1_S5CR_bit = 0;                                 // Half transfer interrupt enbale
MOVW	R0, #lo_addr(HTIE_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(HTIE_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,186 :: 		TEIE_DMA1_S5CR_bit = 0;                                 // Transfer error interrupt enable
MOVW	R0, #lo_addr(TEIE_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(TEIE_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,187 :: 		DMEIE_DMA1_S5CR_bit = 0;                                // direct error interrupt enable
MOVW	R0, #lo_addr(DMEIE_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(DMEIE_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,190 :: 		DMDIS_DMA1_S5FCR_bit = 0;                               // Bit 2 DMDIS: Direct mode disable
MOVW	R0, #lo_addr(DMDIS_DMA1_S5FCR_bit+0)
MOVT	R0, #hi_addr(DMDIS_DMA1_S5FCR_bit+0)
STR	R1, [R0, #0]
;DAC.c,193 :: 		FTH1_DMA1_S5FCR_bit = 0;                                // Bit 1 FIFO threshold selection
MOVW	R0, #lo_addr(FTH1_DMA1_S5FCR_bit+0)
MOVT	R0, #hi_addr(FTH1_DMA1_S5FCR_bit+0)
STR	R1, [R0, #0]
;DAC.c,194 :: 		FTH0_DMA1_S5FCR_bit = 1;                                // Bit 0 FIFO threshold selection
MOVW	R0, #lo_addr(FTH0_DMA1_S5FCR_bit+0)
MOVT	R0, #hi_addr(FTH0_DMA1_S5FCR_bit+0)
STR	R2, [R0, #0]
;DAC.c,195 :: 		}
L_end_DMA1_Stream5_Ch7_Config:
BX	LR
; end of _DMA1_Stream5_Ch7_Config
_main:
;DAC.c,197 :: 		void main() {
;DAC.c,199 :: 		RCC_AHB1ENR.DMA1EN = 1;                                 // Enable DMA1 clock
MOVW	R1, #1
SXTH	R1, R1
MOVW	R0, #lo_addr(RCC_AHB1ENR+0)
MOVT	R0, #hi_addr(RCC_AHB1ENR+0)
STR	R1, [R0, #0]
;DAC.c,200 :: 		RCC_AHB1ENR.GPIOAEN = 1;                                // Enable GPIO A clock
MOVW	R0, #lo_addr(RCC_AHB1ENR+0)
MOVT	R0, #hi_addr(RCC_AHB1ENR+0)
STR	R1, [R0, #0]
;DAC.c,201 :: 		RCC_AHB1ENR.GPIODEN = 1;                                // Enable GPIO D clock
MOVW	R0, #lo_addr(RCC_AHB1ENR+0)
MOVT	R0, #hi_addr(RCC_AHB1ENR+0)
STR	R1, [R0, #0]
;DAC.c,202 :: 		RCC_APB1ENR.DACEN = 1;                                  // Enable DAC clock
MOVW	R0, #lo_addr(RCC_APB1ENR+0)
MOVT	R0, #hi_addr(RCC_APB1ENR+0)
STR	R1, [R0, #0]
;DAC.c,203 :: 		RCC_APB1ENR.TIM6EN = 1;                                 // Enable TIM6 clock
MOVW	R0, #lo_addr(RCC_APB1ENR+0)
MOVT	R0, #hi_addr(RCC_APB1ENR+0)
STR	R1, [R0, #0]
;DAC.c,204 :: 		RCC_APB1ENR.PWREN = 1;                                  //
MOVW	R0, #lo_addr(RCC_APB1ENR+0)
MOVT	R0, #hi_addr(RCC_APB1ENR+0)
STR	R1, [R0, #0]
;DAC.c,205 :: 		SYSCFGEN_bit = 1;                                       //
MOVW	R0, #lo_addr(SYSCFGEN_bit+0)
MOVT	R0, #hi_addr(SYSCFGEN_bit+0)
STR	R1, [R0, #0]
;DAC.c,208 :: 		GPIO_Digital_Output(&GPIOD_BASE, _GPIO_PINMASK_0 | _GPIO_PINMASK_12);
MOVW	R1, #4097
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;DAC.c,209 :: 		GPIO_Digital_Output(&GPIOD_BASE, _GPIO_PINMASK_0 | _GPIO_PINMASK_13);
MOVW	R1, #8193
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;DAC.c,210 :: 		GPIO_Digital_Output(&GPIOD_BASE, _GPIO_PINMASK_0 | _GPIO_PINMASK_14);
MOVW	R1, #16385
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;DAC.c,211 :: 		GPIO_Digital_Output(&GPIOD_BASE, _GPIO_PINMASK_0 | _GPIO_PINMASK_15);
MOVW	R1, #32769
MOVW	R0, #lo_addr(GPIOD_BASE+0)
MOVT	R0, #hi_addr(GPIOD_BASE+0)
BL	_GPIO_Digital_Output+0
;DAC.c,213 :: 		Timer6_Configure();                                     // Configure Timer 6
BL	_Timer6_Configure+0
;DAC.c,214 :: 		DAC_Ch1_Config(void);                                   // Configure the DAC
BL	_DAC_Ch1_Config+0
;DAC.c,215 :: 		DMA1_Stream5_Ch7_Config(void);                          // Configure the DMA
BL	_DMA1_Stream5_Ch7_Config+0
;DAC.c,216 :: 		EN_DMA1_S5CR_bit = 1;                                   // Enable DMA  Stream 5
MOVW	R1, #1
SXTH	R1, R1
MOVW	R0, #lo_addr(EN_DMA1_S5CR_bit+0)
MOVT	R0, #hi_addr(EN_DMA1_S5CR_bit+0)
STR	R1, [R0, #0]
;DAC.c,217 :: 		EN1_bit = 1;                                            // Bit 0 EN1: DAC channel 1 enable
MOVW	R0, #lo_addr(EN1_bit+0)
MOVT	R0, #hi_addr(EN1_bit+0)
STR	R1, [R0, #0]
;DAC.c,218 :: 		EN2_bit = 1;                                            // Bit 16 EN2: DAC channel 2 enable
MOVW	R0, #lo_addr(EN2_bit+0)
MOVT	R0, #hi_addr(EN2_bit+0)
STR	R1, [R0, #0]
;DAC.c,219 :: 		TIM6_CR1.CEN = 1;                                       // Enable timer
MOVW	R0, #lo_addr(TIM6_CR1+0)
MOVT	R0, #hi_addr(TIM6_CR1+0)
STR	R1, [R0, #0]
;DAC.c,221 :: 		GPIOD_ODR.F15 = 1;                                      // Blue
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;DAC.c,222 :: 		GPIOD_ODR.F13 = 1;                                      // Yellow
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;DAC.c,223 :: 		GPIOD_ODR.F14 = 1;                                      // Red
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;DAC.c,224 :: 		GPIOD_ODR.F12=1;                                        // Toggle Green on Port D13
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;DAC.c,225 :: 		Delay_ms(1000);
MOVW	R7, #32254
MOVT	R7, #854
NOP
NOP
L_main2:
SUBS	R7, R7, #1
BNE	L_main2
NOP
NOP
NOP
;DAC.c,228 :: 		while(1){                                               // endless loop {
L_main4:
;DAC.c,229 :: 		GPIOD_ODR.F13=!GPIOD_ODR.F13;                         // Toggle LED2 (Yellow)on Port D13
MOVW	R1, #lo_addr(GPIOD_ODR+0)
MOVT	R1, #hi_addr(GPIOD_ODR+0)
LDR	R0, [R1, #0]
EOR	R1, R0, #1
MOVW	R0, #lo_addr(GPIOD_ODR+0)
MOVT	R0, #hi_addr(GPIOD_ODR+0)
STR	R1, [R0, #0]
;DAC.c,230 :: 		if(GPIOD_ODR.F13==0) {                                // alternate tones
MOVW	R1, #lo_addr(GPIOD_ODR+0)
MOVT	R1, #hi_addr(GPIOD_ODR+0)
LDR	R0, [R1, #0]
CMP	R0, #0
IT	NE
BNE	L_main6
;DAC.c,231 :: 		TIM6_ARR = 1157;                                    // transmit 1200 Hz tone
MOVW	R1, #1157
MOVW	R0, #lo_addr(TIM6_ARR+0)
MOVT	R0, #hi_addr(TIM6_ARR+0)
STR	R1, [R0, #0]
;DAC.c,232 :: 		}
IT	AL
BAL	L_main7
L_main6:
;DAC.c,234 :: 		TIM6_ARR = 631;                                     // Transmit 2200 Hz Tone
MOVW	R1, #631
MOVW	R0, #lo_addr(TIM6_ARR+0)
MOVT	R0, #hi_addr(TIM6_ARR+0)
STR	R1, [R0, #0]
;DAC.c,235 :: 		}
L_main7:
;DAC.c,236 :: 		Delay_ms(500);                                        // Blink LED 12 at 1 Hz rate
MOVW	R7, #16126
MOVT	R7, #427
NOP
NOP
L_main8:
SUBS	R7, R7, #1
BNE	L_main8
NOP
NOP
NOP
;DAC.c,237 :: 		}
IT	AL
BAL	L_main4
;DAC.c,238 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
